Bug 1575821 - Molecule don't run because of python 3.6.5 non supported
Summary: Molecule don't run because of python 3.6.5 non supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-molecule
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Brett Lentz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 03:12 UTC by mryodatak
Modified: 2018-11-02 19:22 UTC (History)
2 users (show)

Fixed In Version: python-molecule-2.13.1-1.fc28 python-molecule-2.13.1-1.fc27 python-molecule-2.19-2.fc29 python-molecule-2.19-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-19 21:23:49 UTC
Type: Bug


Attachments (Terms of Use)

Description mryodatak 2018-05-08 03:12:44 UTC
Description of problem:
With installing python2-molecule or python-molecule or python3-molecule i got the same error 
ERROR: Python version '3.6.5' not supported.  Molecule only supports python version = 2.7.

Version-Release number of selected component (if applicable):

python3-molecule                                                                                       2.12.1-2.fc28 
python2-molecule                                                       noarch                                   2.12.1-2.fc28
ansible-python3                                                        noarch                                   2.5.2-1.fc28 
How reproducible:
evrytilme

Steps to Reproduce:
1. install a molecule package
2. molecule init

Actual results:


Expected results:


Additional info:

Comment 1 mryodatak 2018-05-08 03:21:06 UTC
bug is resolved by using python3-molecule.noarch 2.13-1.fc28 in karma

Comment 2 Fedora Update System 2018-05-09 17:09:13 UTC
python-molecule-2.13.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8f6ad3297

Comment 3 Fedora Update System 2018-05-09 17:09:20 UTC
python-molecule-2.13.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d9152358c2

Comment 4 Fedora Update System 2018-05-10 20:00:56 UTC
python-molecule-2.13.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8f6ad3297

Comment 5 Fedora Update System 2018-05-11 01:59:01 UTC
python-molecule-2.13.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d9152358c2

Comment 6 Fedora Update System 2018-05-19 21:23:49 UTC
python-molecule-2.13.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-05-19 21:34:19 UTC
python-molecule-2.13.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Joe Doss 2018-10-04 02:22:46 UTC
This issue seems to still persist with Fedora 29 Beta:

$ molecule init --role foo
ERROR: Python version '(3, 7)' not supported.  Molecule only supports Python versions '2.7' and '3.6'.
$ cat /etc/redhat-release 
Fedora release 29 (Twenty Nine)

This happens with python3-molecule-2.16-1.fc29.noarch and python3-molecule-2.13.1-4.fc29.noarch.rpm packages.

Comment 9 Fedora Update System 2018-10-23 13:50:21 UTC
python-molecule-2.19-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-39e20c12a4

Comment 10 Fedora Update System 2018-10-23 13:50:27 UTC
python-molecule-2.19-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-afbcfa284d

Comment 11 Fedora Update System 2018-10-23 14:46:11 UTC
python-molecule-2.19-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-78a2be1fca

Comment 12 Fedora Update System 2018-10-23 15:04:03 UTC
python-molecule-2.19-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-18c93ea52a

Comment 13 Fedora Update System 2018-10-23 17:10:54 UTC
python-molecule-2.19-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-78a2be1fca

Comment 14 Fedora Update System 2018-10-23 21:31:19 UTC
python-molecule-2.19-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-18c93ea52a

Comment 15 Fedora Update System 2018-11-01 15:06:28 UTC
python-molecule-2.19-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-02 19:22:05 UTC
python-molecule-2.19-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.